Skip to main content
POST
/
beta
/
investment
/
financing-events
/
get
Get financing events
curl --request POST \
  --url https://app.standardmetrics.io/beta/investment/financing-events/get/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_ids": [
    "pvYe",
    "a2Ne"
  ],
  "financing_ids": [
    "pvYe",
    "a2Ne"
  ],
  "sort_by": "-closing_date",
  "is_crypto": false,
  "co_investors": [
    {
      "name": "<string>",
      "role": "lead"
    }
  ]
}
'
[
  {
    "company_id": "<string>",
    "name": "<string>",
    "pre_money_valuation": {
      "currency": "USD",
      "value": "20000000"
    },
    "round_size": {
      "currency": "USD",
      "value": "5000000"
    },
    "fully_diluted_shares": "1000000",
    "closing_date": "2023-12-25",
    "co_investors": [
      {
        "name": "<string>",
        "is_lead": false
      }
    ],
    "company_name": "<string>",
    "id": "a2Ne",
    "is_crypto": false,
    "liquidation_multiple": "1.50",
    "cap_multiple": "3.00",
    "seniority_position": "SENIOR_TO_ALL",
    "participation_type": "NON_PARTICIPATING",
    "pari_passu_rounds": [
      {
        "id": "a2Ne",
        "name": "Series A"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Options for fetching financing events.

company_ids
string[] | null

Filter by company IDs.

Example:
["pvYe", "a2Ne"]
financing_ids
string[] | null

Filter by financing event IDs.

Example:
["pvYe", "a2Ne"]
sort_by
enum<string> | null

Sort results by a field. Prefix with '-' for descending order, '+' or no prefix for ascending.

Available options:
closing_date,
+closing_date,
-closing_date,
round_size,
+round_size,
-round_size
Example:

"-closing_date"

is_crypto
boolean | null

Filter by whether the financing event is a crypto financing event.

Example:

false

co_investors
CoInvestorFilter · object[] | null

Filter financing events by co-investor name and role.

Response

200 - application/json

OK

company_id
string
required

The ID of the company this financing event belongs to.

Example:

"pvYe"

name
string
required

The name of the financing round.

Example:

"Series A"

pre_money_valuation
MoneyAmount · object
required

The pre-money valuation of the company at the time of the financing round.

Example:
{ "currency": "USD", "value": "20000000" }
round_size
MoneyAmount · object
required

The total size of the financing round.

Example:
{ "currency": "USD", "value": "5000000" }
fully_diluted_shares
required

The fully diluted share count at the time of the financing round.

Example:

"1000000"

closing_date
string<date>
required

The closing date of the financing round.

Example:

"2030-01-01"

co_investors
CoInvestor · object[]
required

The list of co-investors in the financing round.

Examples:
{ "is_lead": true, "name": "Investor 1" }
{ "is_lead": false, "name": "Investor 2" }
company_name
string
required

The name of the company this financing event belongs to.

Example:

"Acme Corp"

id
string | null

The ID of the financing.

Example:

"a2Ne"

is_crypto
boolean
default:false

Whether this is a crypto financing event.

Example:

false

liquidation_multiple

The liquidation multiple (e.g., 1.00, 1.50, 2.00).

Example:

"1.50"

cap_multiple

The cap multiple for capped participating preferences.

Example:

"3.00"

seniority_position
enum<string> | null

The seniority position: SENIOR_TO_ALL or PARI_PASSU.

Available options:
SENIOR_TO_ALL,
PARI_PASSU,
PARI_PASSU_ALL_PREVIOUS
Example:

"SENIOR_TO_ALL"

participation_type
enum<string> | null

The participation type: NON_PARTICIPATING, FULLY_PARTICIPATING, or CAPPED_PARTICIPATING.

Available options:
NON_PARTICIPATING,
FULLY_PARTICIPATING,
CAPPED_PARTICIPATING
Example:

"NON_PARTICIPATING"

pari_passu_rounds
PariPassuRound · object[] | null

Financing rounds that share equal seniority in the same pari passu group.

Example:
[{ "id": "a2Ne", "name": "Series A" }]